Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Integer

Integer Class
Contained in: global
Derived from: none
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_Integer` | `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`)`;
`` | `CL_Integer` | `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`, `int` `def_value`)`;

### Operators:

``operator`` | `int` | `() `const``;

## Description:

## Function Member Descriptions:

CL_Integer::CL_Integer - Integer Constructor
`` `CL_Integer` `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`)`;

CL_Integer::CL_Integer - Integer Constructor
`` `CL_Integer` `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`, `int` `def_value`)`;

CL_Integer::int - Integer operator
``operator`` `int` `() `const``;

## Variable Member Descriptions: